package org.expressolivre.cte.email.filtro;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailFilterPage;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.7] Gerenciar Filtros
 * 
 * Caso de Teste: EL-1105:Editar Filtro por assunto
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1105
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jun 16, 2011 at 11:04:53 AM
 * 
 */
public class EditarFiltroPorAssuntoTestCase extends BaseEmailTestCase {

	@Test
	public void editarFiltroPorAssunto() {
		MailFilterPage mfp = mp.editFilter();
		mfp.editFilterRule("1");

		assert mfp.getFilterSubject().equals(EMAIL_ASSUNTO);
		assert mfp.getFilterArchieveIn().isSelected();
		assert mfp.getFilterMailBox().equals(EMAIL_PASTA_TESTE);

		mfp.setFilterSubject("NOVO ASSUNTO");
		mfp.saveFilterRules();

	}
}
