package org.expressolivre.cte.email.filtro;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailFilterPage;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.7] Gerenciar Filtros
 * 
 * Caso de Teste: EL-630:Excluir filtro
 * 
 * Caso de Teste: EL-1103:Excluir mais de 1 filtro
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-630
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1103
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jun 15, 2011 at 10:29:34 AM
 * 
 */
public class ExcluirFiltroTestCase extends BaseEmailTestCase {

	@Parameters({ "ruleId" })
	@Test
	public void excluirFiltro(Integer ruleId) {
		MailFilterPage mfp = mp.editFilter();
		mfp.deleteFilterRule(ruleId);
	}

	@Test
	public void excluirMultiplosFiltros() {
		MailFilterPage mfp = mp.editFilter();
		for (int i = 0; i < 3; i++) {
			mfp.selectFilterRule(i);
		}

		mfp.deleteFilters();
	}

}
