package org.expressolivre.cte.email.filtro;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailFilterPage;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.7] Gerenciar Filtros
 * 
 * Caso de Teste: EL-633:Criar Filtro por destinatario
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-633
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jun 15, 2011 at 2:30:53 PM
 * 
 */
public class CriarFiltroPorDestinatarioTestCase extends BaseEmailTestCase {

	@Test
	public void criarFiltroPorDestinatario() {
		MailFilterPage mfp = mp.editFilter();
		mfp.newFilterRule();
		mfp.setFilterTo(EMAIL_REMETENTE);
		mfp.setFilterArchieveIn();
		mfp.setFilterMailBox(EMAIL_PASTA_TESTE);
		mfp.saveFilterRules();
	}
}
